declare global {
    interface JQuery {
        parallaxBackground(arg: Partial<OptionsType>): void;
    }
}
declare global {
    interface Window {
        $: JQuery;
    }
}
declare enum AnimationTypes {
    Shift = "SHIFT",
    Rotate = "ROTATE"
}
declare enum EventTypes {
    Mouse = "MOUSE",
    Scroll = "SCROLL",
    Gyro = "GYRO"
}
declare enum DeviceOrientationTypes {
    Landscape = "LANDSCAPE",
    Portrait = "PORTRAIT"
}
type OptionsType = {
    events: Array<EventTypes>;
    animationType: AnimationTypes;
    zoom: number;
    rotatePerspective: number;
    animateDuration: number;
    ignoreZIndex: boolean;
    gyroscopeEvent: boolean;
};
export default class ParallaxBackground {
    element: HTMLElement;
    elementInner: HTMLElement;
    settings: OptionsType;
    elementSize: [number, number];
    innerSize: number;
    coef: number;
    shift: number;
    doubleShift: number;
    deviceOrientation: DeviceOrientationTypes | undefined;
    constructor(element: HTMLElement, options?: Partial<OptionsType>);
    private init;
    private updateElementSize;
    private setElementsStyles;
    private updateOrientation;
    private subscribeGyroEvent;
    private animate;
    private subscribeMouseMoveEvent;
    private subscribeScrollEvent;
}
export {};
